
<?php
$host = 'localhost';
$db = 'WypozyczalniaSamochodowSportowych';
$user = 'root';
$pass = '';
$mysqli = new mysqli($host, $user, $pass, $db);
if ($mysqli->connect_error) {
    die('Connect Error (' . $mysqli->connect_errno . ') ' . $mysqli->connect_error);
}

echo '<h1>Panel Zarządzania Wypożyczalnią</h1>';
echo '<a href="?view=samochody">Samochody</a> | ';
echo '<a href="?view=klienci">Klienci</a> | ';
echo '<a href="?view=wypozyczenia">Wypożyczenia</a> | ';
echo '<a href="?view=dodaj">Dodaj Wypożyczenie</a><hr>';

$view = isset($_GET['view']) ? $_GET['view'] : 'samochody';

if ($view == 'samochody') {
    echo '<h2>Samochody</h2>';
    $result = $mysqli->query('SELECT * FROM Samochody');
    echo '<table border="1"><tr><th>ID</th><th>Marka</th><th>Model</th><th>Rocznik</th><th>Przebieg</th><th>Kolor</th><th>Cena za dzień</th></tr>';
    while ($row = $result->fetch_assoc()) {
        echo '<tr>';
        echo '<td>' . $row['id'] . '</td>';
        echo '<td>' . $row['marka'] . '</td>';
        echo '<td>' . $row['model'] . '</td>';
        echo '<td>' . $row['rocznik'] . '</td>';
        echo '<td>' . $row['przebieg'] . '</td>';
        echo '<td>' . $row['kolor'] . '</td>';
        echo '<td>' . $row['cena_za_dzien'] . '</td>';
        echo '</tr>';
    }
    echo '</table>';
}

if ($view == 'klienci') {
    echo '<h2>Klienci</h2>';
    $result = $mysqli->query('SELECT * FROM Klienci');
    echo '<table border="1"><tr><th>ID</th><th>Imię</th><th>Nazwisko</th><th>Email</th><th>Telefon</th></tr>';
    while ($row = $result->fetch_assoc()) {
        echo '<tr>';
        echo '<td>' . $row['id'] . '</td>';
        echo '<td>' . $row['imie'] . '</td>';
        echo '<td>' . $row['nazwisko'] . '</td>';
        echo '<td>' . $row['email'] . '</td>';
        echo '<td>' . $row['telefon'] . '</td>';
        echo '</tr>';
    }
    echo '</table>';
}

if ($view == 'wypozyczenia') {
    echo '<h2>Wypożyczenia</h2>';
    $query = 'SELECT Wypozyczenia.id, Klienci.imie, Klienci.nazwisko, Samochody.marka, Samochody.model, data_wypozyczenia, data_zwrotu 
              FROM Wypozyczenia
              JOIN Klienci ON Wypozyczenia.klient_id = Klienci.id
              JOIN Samochody ON Wypozyczenia.samochod_id = Samochody.id';
    $result = $mysqli->query($query);
    echo '<table border="1"><tr><th>ID</th><th>Klient</th><th>Samochód</th><th>Data wypożyczenia</th><th>Data zwrotu</th></tr>';
    while ($row = $result->fetch_assoc()) {
        echo '<tr>';
        echo '<td>' . $row['id'] . '</td>';
        echo '<td>' . $row['imie'] . ' ' . $row['nazwisko'] . '</td>';
        echo '<td>' . $row['marka'] . ' ' . $row['model'] . '</td>';
        echo '<td>' . $row['data_wypozyczenia'] . '</td>';
        echo '<td>' . $row['data_zwrotu'] . '</td>';
        echo '</tr>';
    }
    echo '</table>';
}

if ($view == 'dodaj') {
    echo '<h2>Dodaj Wypożyczenie</h2>';
    if ($_SERVER['REQUEST_METHOD'] == 'POST') {
        $klient_id = $_POST['klient_id'];
        $samochod_id = $_POST['samochod_id'];
        $data_wyp = $_POST['data_wyp'];
        $data_zwrotu = $_POST['data_zwrotu'];
        $stmt = $mysqli->prepare('INSERT INTO Wypozyczenia (klient_id, samochod_id, data_wypozyczenia, data_zwrotu) VALUES (?, ?, ?, ?)');
        $stmt->bind_param('iiss', $klient_id, $samochod_id, $data_wyp, $data_zwrotu);
        if ($stmt->execute()) {
            echo 'Dodano wypożyczenie!';
        } else {
            echo 'Błąd: ' . $stmt->error;
        }
    }
    echo '<form method="POST">
            ID Klienta: <input type="number" name="klient_id" required><br>
            ID Samochodu: <input type="number" name="samochod_id" required><br>
            Data wypożyczenia: <input type="date" name="data_wyp" required><br>
            Data zwrotu: <input type="date" name="data_zwrotu" required><br>
            <input type="submit" value="Dodaj">
          </form>';
}
?>
